Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class DSAParameterGenerator

    java.lang.Object
      |
      +--java.security.AlgorithmParameterGeneratorSpi
            |
            +--com.ibm.crypto.fips.provider.DSAParameterGenerator

All Implemented Interfaces:
  AlgorithmStatus

public class DSAParameterGenerator
extends java.security.AlgorithmParameterGeneratorSpi
implements AlgorithmStatus

This class generates parameters for the DSA signature.

Version:
  1.0, 07/20/99
Author:
  Joyce Leung

Constructor Summary
`DSAParameterGenerator()` Constructs a new instance of this class.

Method Summary
`protected java.security.AlgorithmParameters` | `engineGenerateParameters()` Answers the newly generated parameters.
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)` Initializes the receiver with the specified parameters and source of randomness.
`protected void` | `engineInit(int size, java.security.SecureRandom random)` Initializes the receiver with the specified parameter size and source of randomness.
`protected java.security.AlgorithmParameters` | `internalGenerateParameters()` Answers the newly generated parameters.
`protected void` | `internalInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)` Initializes the receiver with the specified parameters and source of randomness.
`protected void` | `internalInit(int size, java.security.SecureRandom random)` Initializes the receiver with the specified parameter size and source of randomness.
`boolean` | `isFipsApproved()` Module identifies if the cryptographic operation (algorithm) is FIPS certified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAParameterGenerator

    public DSAParameterGenerator()

  Constructs a new instance of this class.

Method Detail

### isFipsApproved

    public boolean isFipsApproved()

  Description copied from interface: `AlgorithmStatus`
  Module identifies if the cryptographic operation (algorithm) is FIPS certified
  Specified by:
    `isFipsApproved` in interface `AlgorithmStatus`
  See Also:
    `AlgorithmStatus.isFipsApproved()`

### engineGenerateParameters

    protected java.security.AlgorithmParameters engineGenerateParameters()

  Answers the newly generated parameters.
  Overrides:
    `engineGenerateParameters` in class `java.security.AlgorithmParameterGeneratorSpi`
  Returns:
    AlgorithmParameters the newly generated parameters.
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

### internalGenerateParameters

    protected java.security.AlgorithmParameters internalGenerateParameters()

  Answers the newly generated parameters.
  Returns:
    AlgorithmParameters the newly generated parameters.

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                              java.security.SecureRandom random)
                       throws java.security.InvalidAlgorithmParameterException

  Initializes the receiver with the specified parameters and source of randomness.
  Overrides:
    `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`
  Parameters:
    `genParamSpec` - AlgorithmParameterSpec parameters for this algorithm
    `random` - SecureRandom New secure random to use
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

### internalInit

    protected void internalInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                                java.security.SecureRandom random)
                         throws java.security.InvalidAlgorithmParameterException

  Initializes the receiver with the specified parameters and source of randomness.
  Parameters:
    `genParamSpec` - AlgorithmParameterSpec parameters for this algorithm
    `random` - SecureRandom New secure random to use

### engineInit

    protected void engineInit(int size,
                              java.security.SecureRandom random)

  Initializes the receiver with the specified parameter size and source of randomness.
  Overrides:
    `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`
  Parameters:
    `size` - int Size of the parameters
    `random` - SecureRandom New secure random to use
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

### internalInit

    protected void internalInit(int size,
                                java.security.SecureRandom random)

  Initializes the receiver with the specified parameter size and source of randomness.
  Parameters:
    `size` - int Size of the parameters
    `random` - SecureRandom New secure random to use

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD